com.opensymphony.module.sitemesh.mapper
public final class: PrintableDecoratorMapper [javadoc |
source]
java.lang.Object
com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper
com.opensymphony.module.sitemesh.mapper.PrintableDecoratorMapper
All Implemented Interfaces:
DecoratorMapper
The PrintableDecoratorMapper is a sample DecoratorMapper that will
check to see whether 'printable=true' is supplied as a request parameter
and if so, use the specified decorator instead. The name of this decorator
should be supplied in the
decorator property.
The exact 'printable=true' request criteria can be overriden with the
parameter.name and parameter.value properties.
Although this DecoratorMapper was designed for creating printable versions
of a page, it can be used for much more imaginative purposes.
| Method from com.opensymphony.module.sitemesh.mapper.PrintableDecoratorMapper Summary: |
|---|
|
getDecorator, init |
| Method from com.opensymphony.module.sitemesh.mapper.PrintableDecoratorMapper Detail: |
public Decorator getDecorator(HttpServletRequest request,
Page page) {
Decorator result = null;
if (decorator != null && paramValue.equalsIgnoreCase(request.getParameter(paramName))) {
result = getNamedDecorator(request, decorator);
}
return result == null ? super.getDecorator(request, page) : result;
}
|
public void init(Config config,
Properties properties,
DecoratorMapper parent) throws InstantiationException {
super.init(config, properties, parent);
decorator = properties.getProperty("decorator");
paramName = properties.getProperty("parameter.name", "printable");
paramValue = properties.getProperty("parameter.value", "true");
}
|